Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface JSPComponent

All Superinterfaces:
  ContentComponent, WCMApiObject

    public interface JSPComponent

extends ContentComponent

Represents a JSP component.

A JSP Component is a `ContentComponent` and cannot be stored as a separate entity in the repository.

A JSP component contains a JSP path and error message. This interface provides methods to retrieve and set the JSP path and error message.

note: since `v6.0.0`, a `JSPComponent` is referred to as an `"JSP Element"`in the Authoring UI.``

See Also:
  `ContentComponent`

Method Summary
`DocumentType<? extends JSPComponent>` | `getDocumentType()` Returns the `DocumentType` of the `ContentComponent`.
`java.lang.String` | `getErrorMessage()` Returns the error message contained in this component as a `String`.
`java.lang.String` | `getJspPath()` Returns the JSP path contained in this component as a `String`.
`void` | `setErrorMessage(java.lang.String errorMessage)` Sets the error message contained in this `JSPComponent`.
`void` | `setJspPath(java.lang.String jspPath)` Sets the JSP path to be contained in this `JSPComponent`.

Methods inherited from interface com.ibm.workplace.wcm.api.ContentComponent
`getContainer, getName`

Method Detail

### getDocumentType

    DocumentType<? extends JSPComponent> getDocumentType()

  Description copied from interface: `ContentComponent`
  Returns the `DocumentType` of the `ContentComponent`.

  Specified by:
    `getDocumentType` in interface `ContentComponent`
  Returns:
    the type
  See Also:
    `ContentComponent.getDocumentType()`

### getJspPath

    java.lang.String getJspPath()

  Returns the JSP path contained in this component as a `String`.

  Returns:
    the path to the JSP

### setJspPath

    void setJspPath(java.lang.String jspPath)

  Sets the JSP path to be contained in this `JSPComponent`.

  Parameters:
    `jspPath` - the JSP path

### getErrorMessage

    java.lang.String getErrorMessage()

  Returns the error message contained in this component as a `String`.

  Returns:
    the error message

### setErrorMessage

    void setErrorMessage(java.lang.String errorMessage)

  Sets the error message contained in this `JSPComponent`.

  Parameters:
    `errorMessage` - the JSP path

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD